/*******************************************************************************
版权所有：	
版本号：    1.00 
文件名：    Net.h
生成日期：  2009.1.8 
作者：      
功能说明：以太网处理
	
修改日志：  
日志1：           
修改者：    
修改日期：
修改内容：
修改原因：
****************************************************************************/
#ifndef _NET_H_
#define _NET_H_
#define NET_DEBUG_PORT  6000
#define NET_MAINTAIN_PORT 6008
#define NET_WAVE_PORT  2407

#define NET_104_PORT     2404

#define NET_RECV_MAX      256   //定义以太网一次接收的数据大小


#define NET_SOCKET_INIT		  0
#define NET_SOCKET_CLOSING	1
#define NET_SOCKET_CLOSED		2
#define NET_SOCKET_REINIT		3

#define NET_MT_PORT_PROC_0      0
#define NET_MT_PORT_PROC_1      1
#define NET_MT_PORT_PROC_2      2


void Net_Init(void);

int net_debug_init(void);
int net_debug_exit(void);

//网络发送任务初始化
int net_debug_s_init(void);
int net_debug_s_exit(void);


int net_debug_send(unsigned char *buf,int len);
//设置socket关闭标志并等待socket关闭完成
void net_debug_set_sock_closing(int no);
//设置socket重新创建标志
void net_debug_set_sock_initflag(void); 


int net_maintain_init(void);
int net_maintain_exit(void);
 void net_maintain_zombie(void);
 
int net_maintain_send(unsigned char *buf,int len);
//设置socket关闭标志并等待socket关闭完成
void net_maintain_set_sock_closing(int no);
//设置socket重新创建标志
void net_maintain_set_sock_initflag(void); 

int net_104_init(void);
int net_104_exit(void);

int net_104_is_connect(int net);
int net_104_send(int net,unsigned char *buf,int len);
int net_104_send_ext(int net,unsigned char *buf,int len);
void net_104_close(int net);
void net_104_close_flag(int net);

//设置socket关闭标志并等待socket关闭完成
void net_104_set_sock_closing(int no);
//设置socket重新创建标志
void net_104_set_sock_initflag(int no);

void open_inet_port(void);
void close_inet_port(void);
//得到mt_port的处理方法
int get_mt_port_proc(void);

// 104级联
int net_104link_init(void);
int net_104link_exit(void);

int net_104link_is_connect(int net);
int net_104link_send(int net,unsigned char *buf,int len);
void net_104link_close(int net);



#endif//__record_H
//========================== 本文件结束 =============================

